library IEEE;
use IEEE.STD_LOGIC_1164.ALL; 
use IEEE.STD_LOGIC_ARITH.ALL; 
use IEEE.STD_LOGIC_UNSIGNED.ALL;
entity memory is 
Port
(
R, S, T: in bit; --функции возбуждения 
clock, enable, resetn: in bit;
--сигналы синхронизации, разрешения, сброса 
t1, t2: buffer bit --состояния
);
end memory;
architecture Behavioral of memory is
begin
--tl--
process(clock,resetn) 
begin
    if (resetn='0') then t1<='0'; --сброс триггера
		  elsif clock' event and clock ='1' then
		   if (enable ='1') then	-- если есть разрешение
				if		(R='0' and S='1') then t1 <= '1'; 	 --если S=1, состояние в 1
					elsif	(R='1' and S='0') then t1 <= '0'; --если R=1, состояние в 0
				end if;
         end if;
    end if;
end process;
--t2--
process(clock,resetn) 
begin
    if (resetn='0') then t2<='0'; --сброс триггера
		elsif clock' event and clock='1' then
			if (enable='1') then --если есть разрешение
				if T='1' then t2<=not(t2); --если Т=1,то t2 равно инверсии Т
				end if; 
			end if;
	 end if; 
end process; 
end Behavioral;
