--Схема выходов: 
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity outpt is
Port
(
    x1, x2: in bit;		--входные сигналы
    t1, t2: in bit;		--состояния элементов памяти
    y1, y2, y3: out bit --выходные сигналы
);
end outpt;
architecture Behavioral of outpt is
begin
    y1<=(not(x1) and not(t1) and not(t2)) or (not(x2) and not(t1) and not(t2));
    y2<=(not(x1) and t1 and not(t2)) or (x2 and t1 and not(t2));
    y3<=(not(t1) and not(t2)) or (x1 and x2 and not(t1)) or (not(x2) and t1); 
end Behavioral;
