--Схема выходов: 
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity outpt is
Port
(
    x1, x2: in bit;		--входные сигналы
    t1, t2: in bit;		--состояния элементов памяти
    y1, y2, y3: out bit --выходные сигналы
);
end outpt;
architecture Behavioral of outpt is
begin
    y1<=not (not( not(x2 and x2) and not(t1 and t1) and not(t2 and t2) ) and not(not (x1 and x1) and not (t1 and t1) and not (t2 and t2)));
--описание y1 в базисе Шеффера
    y2<=not (not(not (x1 and x1) and not(t2 and t2) and t1) and not(x2 and t1 and not(t2 and t2)));
--описание y2 в базисе Шеффера
    y3<=not(not(x1 and x2 and not(t1 and t1)) and not(not(x2 and x2) and t1) and not(not(t1 and t1) and not(t2 and t2)) ); 
--описание уЗ в базисе Шеффера
end Behavioral;
