-- Copyright (C) 1991-2013 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II 64-Bit"
-- VERSION "Version 13.1.0 Build 162 10/23/2013 SJ Web Edition"

-- DATE "04/11/2020 12:52:05"

-- 
-- Device: Altera EP4CGX15BF14C6 Package FBGA169
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY CYCLONEIV;
LIBRARY IEEE;
LIBRARY STD;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE CYCLONEIV.CYCLONEIV_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;
USE STD.STANDARD.ALL;

ENTITY 	decmili3 IS
    PORT (
	x1 : IN std_logic;
	x2 : IN std_logic;
	clock : IN std_logic;
	resetn : IN std_logic;
	enable : IN std_logic;
	t1 : BUFFER STD.STANDARD.bit;
	t2 : BUFFER STD.STANDARD.bit;
	y1 : OUT STD.STANDARD.bit;
	y2 : OUT STD.STANDARD.bit;
	y3 : OUT STD.STANDARD.bit
	);
END decmili3;

-- Design Ports Information
-- t1	=>  Location: PIN_M6,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- t2	=>  Location: PIN_N9,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- y1	=>  Location: PIN_N6,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- y2	=>  Location: PIN_L4,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- y3	=>  Location: PIN_N8,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- x1	=>  Location: PIN_N4,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- x2	=>  Location: PIN_L7,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- enable	=>  Location: PIN_L5,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- clock	=>  Location: PIN_J7,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- resetn	=>  Location: PIN_J6,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF decmili3 IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_x1 : std_logic;
SIGNAL ww_x2 : std_logic;
SIGNAL ww_clock : std_logic;
SIGNAL ww_resetn : std_logic;
SIGNAL ww_enable : std_logic;
SIGNAL ww_t1 : std_logic;
SIGNAL ww_t2 : std_logic;
SIGNAL ww_y1 : std_logic;
SIGNAL ww_y2 : std_logic;
SIGNAL ww_y3 : std_logic;
SIGNAL \resetn~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \clock~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \t1~output_o\ : std_logic;
SIGNAL \t2~output_o\ : std_logic;
SIGNAL \y1~output_o\ : std_logic;
SIGNAL \y2~output_o\ : std_logic;
SIGNAL \y3~output_o\ : std_logic;
SIGNAL \clock~input_o\ : std_logic;
SIGNAL \clock~inputclkctrl_outclk\ : std_logic;
SIGNAL \x1~input_o\ : std_logic;
SIGNAL \x2~input_o\ : std_logic;
SIGNAL \circl|t1~0_combout\ : std_logic;
SIGNAL \enable~input_o\ : std_logic;
SIGNAL \circl|t2~0_combout\ : std_logic;
SIGNAL \circl|t2~1_combout\ : std_logic;
SIGNAL \resetn~input_o\ : std_logic;
SIGNAL \resetn~inputclkctrl_outclk\ : std_logic;
SIGNAL \circl|t2~q\ : std_logic;
SIGNAL \circl|t1~1_combout\ : std_logic;
SIGNAL \circl|t1~q\ : std_logic;
SIGNAL \circ3|yl~0_combout\ : std_logic;
SIGNAL \circ3|y2~0_combout\ : std_logic;
SIGNAL \circ3|y3~0_combout\ : std_logic;
SIGNAL \circ3|ALT_INV_y3~0_combout\ : std_logic;

BEGIN

ww_x1 <= x1;
ww_x2 <= x2;
ww_clock <= clock;
ww_resetn <= resetn;
ww_enable <= enable;
t1 <= IEEE.STD_LOGIC_1164.TO_BIT(ww_t1);
t2 <= IEEE.STD_LOGIC_1164.TO_BIT(ww_t2);
y1 <= IEEE.STD_LOGIC_1164.TO_BIT(ww_y1);
y2 <= IEEE.STD_LOGIC_1164.TO_BIT(ww_y2);
y3 <= IEEE.STD_LOGIC_1164.TO_BIT(ww_y3);
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\resetn~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \resetn~input_o\);

\clock~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \clock~input_o\);
\circ3|ALT_INV_y3~0_combout\ <= NOT \circ3|y3~0_combout\;

-- Location: IOOBUF_X12_Y0_N9
\t1~output\ : cycloneiv_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \circl|t1~q\,
	devoe => ww_devoe,
	o => \t1~output_o\);

-- Location: IOOBUF_X20_Y0_N2
\t2~output\ : cycloneiv_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \circl|t2~q\,
	devoe => ww_devoe,
	o => \t2~output_o\);

-- Location: IOOBUF_X12_Y0_N2
\y1~output\ : cycloneiv_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \circ3|yl~0_combout\,
	devoe => ww_devoe,
	o => \y1~output_o\);

-- Location: IOOBUF_X8_Y0_N9
\y2~output\ : cycloneiv_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \circ3|y2~0_combout\,
	devoe => ww_devoe,
	o => \y2~output_o\);

-- Location: IOOBUF_X20_Y0_N9
\y3~output\ : cycloneiv_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \circ3|ALT_INV_y3~0_combout\,
	devoe => ww_devoe,
	o => \y3~output_o\);

-- Location: IOIBUF_X16_Y0_N15
\clock~input\ : cycloneiv_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clock,
	o => \clock~input_o\);

-- Location: CLKCTRL_G17
\clock~inputclkctrl\ : cycloneiv_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \clock~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clock~inputclkctrl_outclk\);

-- Location: IOIBUF_X10_Y0_N8
\x1~input\ : cycloneiv_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_x1,
	o => \x1~input_o\);

-- Location: IOIBUF_X14_Y0_N1
\x2~input\ : cycloneiv_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_x2,
	o => \x2~input_o\);

-- Location: LCCOMB_X13_Y1_N22
\circl|t1~0\ : cycloneiv_lcell_comb
-- Equation(s):
-- \circl|t1~0_combout\ = (\x1~input_o\ & \x2~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \x1~input_o\,
	datad => \x2~input_o\,
	combout => \circl|t1~0_combout\);

-- Location: IOIBUF_X14_Y0_N8
\enable~input\ : cycloneiv_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_enable,
	o => \enable~input_o\);

-- Location: LCCOMB_X13_Y1_N24
\circl|t2~0\ : cycloneiv_lcell_comb
-- Equation(s):
-- \circl|t2~0_combout\ = (\enable~input_o\ & (\x1~input_o\ & ((\x2~input_o\) # (\circl|t1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \x2~input_o\,
	datab => \enable~input_o\,
	datac => \x1~input_o\,
	datad => \circl|t1~q\,
	combout => \circl|t2~0_combout\);

-- Location: LCCOMB_X13_Y1_N18
\circl|t2~1\ : cycloneiv_lcell_comb
-- Equation(s):
-- \circl|t2~1_combout\ = (\circl|t2~0_combout\) # (\circl|t2~q\ $ (((\enable~input_o\ & !\circl|t1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111010010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \enable~input_o\,
	datab => \circl|t1~q\,
	datac => \circl|t2~q\,
	datad => \circl|t2~0_combout\,
	combout => \circl|t2~1_combout\);

-- Location: IOIBUF_X16_Y0_N22
\resetn~input\ : cycloneiv_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_resetn,
	o => \resetn~input_o\);

-- Location: CLKCTRL_G19
\resetn~inputclkctrl\ : cycloneiv_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \resetn~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \resetn~inputclkctrl_outclk\);

-- Location: FF_X13_Y1_N19
\circl|t2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \circl|t2~1_combout\,
	clrn => \resetn~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \circl|t2~q\);

-- Location: LCCOMB_X13_Y1_N16
\circl|t1~1\ : cycloneiv_lcell_comb
-- Equation(s):
-- \circl|t1~1_combout\ = (\enable~input_o\ & (((\circl|t1~0_combout\ & \circl|t2~q\)) # (!\circl|t1~q\))) # (!\enable~input_o\ & (((\circl|t1~q\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011110000111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \circl|t1~0_combout\,
	datab => \enable~input_o\,
	datac => \circl|t1~q\,
	datad => \circl|t2~q\,
	combout => \circl|t1~1_combout\);

-- Location: FF_X13_Y1_N17
\circl|t1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clock~inputclkctrl_outclk\,
	d => \circl|t1~1_combout\,
	clrn => \resetn~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \circl|t1~q\);

-- Location: LCCOMB_X13_Y1_N28
\circ3|yl~0\ : cycloneiv_lcell_comb
-- Equation(s):
-- \circ3|yl~0_combout\ = (!\circl|t2~q\ & (!\circl|t1~q\ & ((!\x2~input_o\) # (!\x1~input_o\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000100010001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \circl|t2~q\,
	datab => \circl|t1~q\,
	datac => \x1~input_o\,
	datad => \x2~input_o\,
	combout => \circ3|yl~0_combout\);

-- Location: LCCOMB_X13_Y1_N26
\circ3|y2~0\ : cycloneiv_lcell_comb
-- Equation(s):
-- \circ3|y2~0_combout\ = (!\circl|t2~q\ & (\circl|t1~q\ & ((\x2~input_o\) # (!\x1~input_o\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \circl|t2~q\,
	datab => \circl|t1~q\,
	datac => \x1~input_o\,
	datad => \x2~input_o\,
	combout => \circ3|y2~0_combout\);

-- Location: LCCOMB_X13_Y1_N20
\circ3|y3~0\ : cycloneiv_lcell_comb
-- Equation(s):
-- \circ3|y3~0_combout\ = (\circl|t1~q\ & (((\x2~input_o\)))) # (!\circl|t1~q\ & (\circl|t2~q\ & ((!\x2~input_o\) # (!\x1~input_o\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111000100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \circl|t2~q\,
	datab => \circl|t1~q\,
	datac => \x1~input_o\,
	datad => \x2~input_o\,
	combout => \circ3|y3~0_combout\);

ww_t1 <= \t1~output_o\;

ww_t2 <= \t2~output_o\;

ww_y1 <= \y1~output_o\;

ww_y2 <= \y2~output_o\;

ww_y3 <= \y3~output_o\;
END structure;


