library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity vozbuzh is
port
(
x1, x2: in bit;
t1, t2: in bit;
R, S, T: out bit
);
end vozbuzh;

architecture Behavioral of vozbuzh is
begin
R <= not( not(not(x2 and x2) and t1) and not(t1 and not(t2 and t2)) and not(not(x1 and x1) and t1) );
--описание R в базисе Шеффера
S <= not(t1 and t1);
--описание S в базисе Шеффера
T <= not( not( not(x1 and x1) and not(t1 and t1)) and not(not(x2 and x2) and not(t1 and t1)) and not(x1 and not(t2 and t2))) ;
--описание Т в базисе Шеффера
end Behavioral;
